Package org.wso2.carbon.rest.api

## Class ConfigHolder

- java.lang.Object
- - org.wso2.carbon.rest.api.ConfigHolder

-     public class ConfigHolder
      extends Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addSynapseEnvironmentService​(int id, org.wso2.carbon.mediation.initializer.services.SynapseEnvironmentService synapseEnvironmentService)` |
    `org.apache.axis2.engine.AxisConfiguration` | `getAxisConfiguration()` |
    `org.wso2.carbon.registry.core.session.UserRegistry` | `getConfigRegistry()` |
    `org.wso2.carbon.mediation.dependency.mgt.services.DependencyManagementService` | `getDependencyManager()` |
    `org.wso2.carbon.registry.core.session.UserRegistry` | `getGovernanceRegistry()` |
    `static ConfigHolder` | `getInstance()` |
    `org.apache.synapse.config.SynapseConfiguration` | `getSynapseConfiguration()` |
    `org.wso2.carbon.mediation.initializer.services.SynapseEnvironmentService` | `getSynapseEnvironmentService​(int id)` |
    `Map<Integer,​org.wso2.carbon.mediation.initializer.services.SynapseEnvironmentService>` | `getSynapseEnvironmentServices()` |
    `void` | `removeSynapseEnvironmentService​(int id)` |
    `void` | `setAxisConfiguration​(org.apache.axis2.engine.AxisConfiguration axisConfiguration)` |
    `void` | `setConfigRegistry​(org.wso2.carbon.registry.core.session.UserRegistry configRegistry)` |
    `void` | `setDependencyManager​(org.wso2.carbon.mediation.dependency.mgt.services.DependencyManagementService dependencyManager)` |
    `void` | `setGovernanceRegistry​(org.wso2.carbon.registry.core.session.UserRegistry governanceRegistry)` |
    `void` | `setSynapseConfiguration​(org.apache.synapse.config.SynapseConfiguration synapseConfiguration)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static ConfigHolder getInstance()

    - #### getSynapseConfiguration

          public org.apache.synapse.config.SynapseConfiguration getSynapseConfiguration()
                                                                                 throws APIException

      Throws:
        `APIException`

    - #### setSynapseConfiguration

          public void setSynapseConfiguration​(org.apache.synapse.config.SynapseConfiguration synapseConfiguration)

    - #### getAxisConfiguration

          public org.apache.axis2.engine.AxisConfiguration getAxisConfiguration()
                                                                         throws APIException

      Throws:
        `APIException`

    - #### setAxisConfiguration

          public void setAxisConfiguration​(org.apache.axis2.engine.AxisConfiguration axisConfiguration)

    - #### getConfigRegistry

          public org.wso2.carbon.registry.core.session.UserRegistry getConfigRegistry()
                                                                               throws APIException

      Throws:
        `APIException`

    - #### setConfigRegistry

          public void setConfigRegistry​(org.wso2.carbon.registry.core.session.UserRegistry configRegistry)

    - #### getDependencyManager

          public org.wso2.carbon.mediation.dependency.mgt.services.DependencyManagementService getDependencyManager()

    - #### setDependencyManager

          public void setDependencyManager​(org.wso2.carbon.mediation.dependency.mgt.services.DependencyManagementService dependencyManager)

    - #### getGovernanceRegistry

          public org.wso2.carbon.registry.core.session.UserRegistry getGovernanceRegistry()

    - #### setGovernanceRegistry

          public void setGovernanceRegistry​(org.wso2.carbon.registry.core.session.UserRegistry governanceRegistry)

    - #### getSynapseEnvironmentService

          public org.wso2.carbon.mediation.initializer.services.SynapseEnvironmentService getSynapseEnvironmentService​(int id)

    - #### addSynapseEnvironmentService

          public void addSynapseEnvironmentService​(int id,
                                                   org.wso2.carbon.mediation.initializer.services.SynapseEnvironmentService synapseEnvironmentService)

    - #### removeSynapseEnvironmentService

          public void removeSynapseEnvironmentService​(int id)

    - #### getSynapseEnvironmentServices

          public Map<Integer,​org.wso2.carbon.mediation.initializer.services.SynapseEnvironmentService> getSynapseEnvironmentServices()